/*     
        SCOL FRONTEND . 1997 . Sylvain HUET

         mainscol.h : gestion des evenements - definitions
*/
int SCOLNetEvent(mmachine m,int hSock,int NetEvent,int NetError);
int SCOLsend(mmachine m,char *buf);
int SCOLInit();
int mainscol();

extern struct Mmachine mscol;
extern char scriptname[1024];
extern char scriptcontent[1024];
extern char userscript[1024*16];
extern int ScolMemoryLength;
extern int firstScol;
extern char autoHTTPproxy[256];
extern char autoSOCKSproxy[256];
extern char HTTPproxy[256];

char *ScolGetName(char *name);
int ScolGetPath(char *path, char *name);
int tstscoldead(int i);


